Get footer
Returns the resource with the specified ID. Use the select query parameter to specify which fields to include.
Path parameters
idstringRequired
The resource ID.
Query parameters
selectstringOptional
Optional RQL select statement to filter fields.
Responses
200
OK
application/json
Represents a localized footer template that can be appended to notification messages.
idstringOptional
revisioninteger · int32Optional
languageCodestringOptional
Gets or sets the language code for this footer.
contentstring · nullableOptional
Gets or sets the content of the footer.
isDefaultbooleanOptional
Gets or sets a value indicating whether this is the default footer.
statusstringOptional
Gets or sets the current status of the footer.
400
Bad Request
application/json
404
Not Found
application/json
get/public/v1/notifications/footers/{id}
GET /public/v1/notifications/footers/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"activated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"languageCode": "text",
"content": "text",
"isDefault": true,
"status": "text"
}Last updated
Was this helpful?